openshot::InvalidOptions Class Reference

Exception when invalid encoding options are used. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidOptions:

## Public Member Functions

| InvalidOptions (string message, string file_path)
virtual | ~InvalidOptions () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

string | file_path

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when invalid encoding options are used.

Definition at line 162 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidOptions()

openshot::InvalidOptions::InvalidOptions | ( | string | message,
|  | string | file_path
| ) |  |

inline

Definition at line 166 of file Exceptions.h.

## ~InvalidOptions()

virtual openshot::InvalidOptions::~InvalidOptions | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 168 of file Exceptions.h.

## Member Data Documentation

## file_path

string openshot::InvalidOptions::file_path

Definition at line 165 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h